﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MessageReminder
{
    /// <summary>
    /// 用户信息
    /// </summary>
    public partial class LoginInfo : Form
    {
        public LoginInfo()
        {
            InitializeComponent();
        }

        private void LoginInfo_Load(object sender, EventArgs e)
        {
            lblUserInfo.Text = string.Format("{0}({1})", Properties.Settings.Default.empName, Properties.Settings.Default.userName);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("确定退出登录？", "提示", MessageBoxButtons.OKCancel) == DialogResult.OK)
            {
                Properties.Settings.Default.empName = "";
                Properties.Settings.Default.userName = "";
                Properties.Settings.Default.pwd = "";
                Properties.Settings.Default.Save();
                (Owner as Form1).登录ToolStripMenuItem.Text = "登录";
                (Owner as Form1).m_UserName = "";
                (Owner as Form1).m_Pwd = "";
                if ((Owner as Form1).m_msgForm != null) (Owner as Form1).m_msgForm.Close();
                this.Close();
            }
        }
    }
}
