﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MessageReminder.Utils;
using Utils;

namespace MessageReminder
{
    /// <summary>
    /// 登录服务器
    /// </summary>
    public partial class Login : Form
    {
        public Login()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                string url = string.Format("{0}/Auth/Account/MsgReminderLoginIn?userName={1}&pwd={2}"
                    , (Owner as Form1).m_Url, txtUserName.Text, MD5Helper.Encrypt(txtPwd.Text));

                string result = HttpRequestUtil.RequestUrl(url, "GET");
                string[] resultArr = result.Split('|');
                if (result.IndexOf("OK") == 0)
                {
                    Properties.Settings.Default.userName = txtUserName.Text;
                    Properties.Settings.Default.pwd = MD5Helper.Encrypt(txtPwd.Text);
                    Properties.Settings.Default.empName = resultArr[1];
                    Properties.Settings.Default.deptCode = resultArr[2];
                    Properties.Settings.Default.Save();
                    //记录用户名密码
                    (Owner as Form1).m_UserName = MessageReminder.Properties.Settings.Default.userName;
                    (Owner as Form1).m_Pwd = MessageReminder.Properties.Settings.Default.pwd;
                    (Owner as Form1).登录ToolStripMenuItem.Text = "用户信息";
                    MessageBox.Show("登录成功！");
                    this.Close();
                }
                else
                {
                    MessageBox.Show("用户名密码不正确！");
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("登录失败！" + ex.Message);
            }
        }
    }
}
